<?php 
require_once '../../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(1, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(1, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../../');
	exit;
}


// Suppression du compte
$requete_suppression = mysqli_query($connexion_mysql, 'DELETE FROM admin_comptes WHERE compte_id="'.$compte_id.'"');

// Défragmentation de la table
$requete_defragmentation_1 = mysqli_query($connexion_mysql, 'ALTER TABLE admin_comptes');
$requete_defragmentation_2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE admin_comptes');


header('Location: ./');
?>
